Page MenuHomePhabricator

Using “Share a fact” should not take coordinates as the default text (on some pages)
Closed, ResolvedPublic

Description

Steps to reproduce (tested on Android app Beta)

  • Go to eg St Etheldreda's Church
  • Do not select any text.
  • Use “Share”
  • The card uses as default the coordinates text.

I suppose this happens when the Coord template is the first thing in the wikitext.

Details

Related Gerrit Patches:

Event Timeline

JeanFred created this task.Apr 19 2015, 1:38 AM
JeanFred raised the priority of this task from to Needs Triage.
JeanFred updated the task description. (Show Details)
JeanFred added a subscriber: JeanFred.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2015, 1:38 AM
JeanFred updated the task description. (Show Details)Apr 19 2015, 1:38 AM
JeanFred set Security to None.
JeanFred updated the task description. (Show Details)
JeanFred updated the task description. (Show Details)
Dbrant added a subscriber: Dbrant.Apr 30 2015, 12:40 AM

Here's an idea for this:
When we first fetch the page contents (using the mobileview api), we could also ask for the prop=extracts in the same request, since the Extracts extension provides a better extract of the first few sentences than we can generate on the client side. Then we can use the extract with the Share function (when no other text is highlighted).

Probably related to this on the iOS app: https://phabricator.wikimedia.org/T95476

Change 217766 had a related patch set uploaded (by Dbrant):
Fix inconsistencies in share-a-fact text.

https://gerrit.wikimedia.org/r/217766

Change 217766 merged by jenkins-bot:
Simplify and fix inconsistencies in share-a-fact handlers.

https://gerrit.wikimedia.org/r/217766

Checked on 2.0.103--alpha-2015-06-12 on Samsung Tablet Ce0168(Android 4.0.4)

Probably related to this on the iOS app: https://phabricator.wikimedia.org/T95476

Superscript is correctly dropped in Share fact feature.